# eric3.ViewManager.ViewManager

Module implementing the viewmanager base class.

### Classes

ViewManager | Base class inherited by all specific viewmanager classes.

### Functions

None

## ViewManager

Base class inherited by all specific viewmanager classes. It defines the interface to be implemented by specific viewmanager classes and all common methods.

#### Signals

bookmarkToggled(editor)
  emitted when a bookmark is toggled.
breakpointEnabledToggled(editor)
  emitted when a breakpoint's enabled status is toggled
breakpointToggled(editor)
  emitted when a breakpoint is toggled.
checkActions(editor)
  emitted when some actions should be checked for their status
cursorChanged(editor)
  emitted after the cursor position of the active window has changed
editorClosed(string)
  emitted just before an editor window gets closed
editorOpened(string)
  emitted after an editor window was opened
editorSaved(string)
  emitted after an editor window was saved
lastEditorClosed
  emitted after the last editor window was closed

### Derived from

None

### Methods

ViewManager | Constructor
_getOpenFileFilter | Protected method to return the active filename filter for a file open dialog.
_getOpenStartDir | Protected method to return the starting directory for a file open dialog.
activeWindow | Private method to return the active (i.e. current) window.
addSplit | Public method used to split the current view.
addToRecentList | Public slot to add a filename to the list of recently opened files.
addView | Private method to add a view (i.e. window)
canCascade | Public method to signal if cascading of managed windows is available.
canSplit | public method to signal if splitting of the view is available.
canTile | Public method to signal if tiling of managed windows is available.
cascade | Public method to cascade the managed windows.
checkActions | Private slot to check some actions for their enable/disable status and set the statusbar info.
checkAllDirty | Public method to check the dirty status of all editors.
checkDirty | Private method to check dirty status and open a message window.
closeEditor | Private method to close an editor window.
closeViewManager | Public method to shutdown the viewmanager.
displayPythonFile | Public slot to display a file in an editor.
editorCommand | Private method to send an editor command to the active window.
editorsCheckFocusInEnabled | Public method returning the flag indicating editors should perform focus in checks.
enableEditorsCheckFocusIn | Public method to set a flag enabling the editors to perform focus in checks.
eventFilter | Private method called to filter an event.
focusInEvent | Public method called when the viewmanager receives focus.
focusOutEvent | Public method called when the viewmanager loses focus.
getAPIs | Public method to get an apis object for autocompletion/calltips
getActions | Public method to get a list of all actions.
getActiveName | Public method to retrieve the filename of the active window.
getEditor | Private method to return the editor displaying the given file.
getOpenEditor | Public method to return the editor displaying the given file.
getOpenEditorCount | Public method to return the count of editors displaying the given file.
getOpenFilenames | Public method returning a list of the filenames of all editors.
getProject | Public method to get a reference to the Project object.
getSRHistory | Private method to get the search or replace history list.
getWord | Private method to get the word at a position.
handleAddBookmarked | Private method to add the current file to the list of bookmarked files.
handleAutosave | Public slot to save the contents of all editors automatically.
handleBookmarkSelected | Private method to handle the bookmark selected signal.
handleBookmarkToggled | Private slot to handle the bookmarkToggled signal.
handleBreakpointEnabledToggled | Private slot to handle the breakpointEnabledToggled signal.
handleBreakpointToggled | Private slot to handle the breakpointToggled signal.
handleClearAllBookmarks | Private method to handle the clear all bookmarks action.
handleClearAllSyntaxErrors | Private method to handle the clear all syntax errors action.
handleClearBookmarked | Private method to clear the bookmarked files menu.
handleClearRecent | Private method to clear the recent files menu.
handleClose | Public method to close the current window.
handleCloseAll | Private method to close all editor windows via file menu.
handleCloseEditor | Public method to close an arbitrary source editor.
handleCloseWindow | Public method to close an arbitrary source editor.
handleConvertEOL | Private method to handle the convert line end characters action.
handleCoverageMarkersShown | Private slot to handle the coverageMarkersShown signal.
handleCursorChanged | Private slot to handle the cursorChanged signal.
handleEditAutoComplete | Private method to handle the autocomplete action.
handleEditAutoCompleteFromAPIs | Private method to handle the autocomplete from APIs action.
handleEditAutoCompleteFromDoc | Private method to handle the autocomplete from document action.
handleEditBookmarked | Private method to edit the list of bookmarked files.
handleEditBoxComment | Private method to handle the box comment action.
handleEditComment | Private method to handle the comment action.
handleEditCopy | Private method to handle the copy action.
handleEditCut | Private method to handle the cut action.
handleEditDelete | Private method to handle the delete action.
handleEditDeselectAll | Private method to handle the select all action.
handleEditIndent | Private method to handle the indent action.
handleEditPaste | Private method to handle the paste action.
handleEditRedo | Private method to handle the redo action.
handleEditRevert | Private method to handle the revert action.
handleEditSelectAll | Private method to handle the select all action.
handleEditSelectBrace | Private method to handle the select to brace action.
handleEditStreamComment | Private method to handle the stream comment action.
handleEditUncomment | Private method to handle the uncomment action.
handleEditUndo | Private method to handle the undo action.
handleEditUnindent | Private method to handle the unindent action.
handleEditorOpened | Private slot to handle the editorOpened signal.
handleEditorSaved | Public slot to handle the editorSaved signal.
handleEditoracAPIsAvailable | Private method to handle the availability of API autocompletion signal.
handleExit | Public method to handle the debugged program terminating.
handleFindFileName | Private method to handle the search for file action.
handleGoto | Private method to handle the goto action.
handleGotoBrace | Private method to handle the goto brace action.
handleGotoSyntaxError | Private method to handle the goto syntax error action.
handleLastEditorClosed | Private slot to handle the lastEditorClosed signal.
handleMacroDelete | Private method to handle the delete macro action.
handleMacroLoad | Private method to handle the load macro action.
handleMacroRun | Private method to handle the run macro action.
handleMacroSave | Private method to handle the save macro action.
handleMacroStartRecording | Private method to handle the start macro recording action.
handleMacroStopRecording | Private method to handle the stop macro recording action.
handleModificationStatusChanged | Private slot to handle the modificationStatusChanged signal.
handleNewProject | Public slot to handle the NewProject signal.
handleNextBookmark | Private method to handle the next bookmark action.
handleNextUncovered | Private method to handle the next uncovered action.
handleOpen | Public slot to open a Python (or other) file.
handleOpenBookmarked | Private method to open a file from the list of bookmarked files.
handleOpenRecent | Private method to open a file from the list of rencently opened files.
handlePreferencesChanged | Public slot to handle the preferencesChanged signal.
handlePreviousBookmark | Private method to handle the previous bookmark action.
handlePreviousUncovered | Private method to handle the previous uncovered action.
handleProjectClosed | Public slot to handle the projectClosed signal.
handleProjectFileRenamed | Public slot to handle the projectFileRenamed signal.
handleProjectOpened | Public slot to handle the projectOpened signal.
handlePythonFile | Public method to handle the user selecting a file for display.
handleQuickSearch | Private slot to handle the incremental quick search.
handleQuickSearchEnter | Private slot to handle the incremental quick search return pressed (jump back to text)
handleQuickSearchExtend | Private method to handle the quicksearch extend action.
handleQuickSearchPrev | Private slot to handle the quickFindPrev toolbutton action.
handleQuickSearchText | Private slot to handle the textChanged signal of the quicksearch edit.
handleReloadAPIs | Public slot to reload the api information.
handleReplace | Private method to handle the replace action.
handleResetUI | Public slot to handle the resetUI signal.
handleSearch | Private method to handle the search action.
handleSearchFiles | Private method to handle the search in files action.
handleSearchListChanged | Private slot to handle the searchListChanged signal.
handleShortenEmptyLines | Private method to handle the shorten empty lines action.
handleShowBookmarkedMenu | Private method to set up bookmarked files menu.
handleShowBookmarksMenu | Private method to handle the show bookmarks menu signal.
handleShowRecentMenu | Private method to set up recent files menu.
handleShowWindowMenu | Private method to set up the viewmanager part of the Window menu.
handleSplitOrientation | Private method to handle the split orientation action.
handleSplitView | Private method to handle the split view action.
handleSyntaxErrorToggled | Private slot to handle the syntaxerrorToggled signal.
handleToggleAll | Private method to handle the toggle all folds action.
handleToggleBookmark | Private method to handle the toggle bookmark action.
handleToggleCurrent | Private method to handle the toggle current fold action.
handleZoom | Private method to handle the zoom action.
handleZoomIn | Private method to handle the zoom in action.
handleZoomOut | Private method to handle the zoom out action.
initActions | Public method defining the user interface actions.
initBookmarkActions | Private method defining the user interface actions for the bookmarks commands.
initBookmarkMenu | Public method to create the Bookmark menu
initBookmarkToolbar | Public method to create the Bookmark toolbar
initEditActions | Private method defining the user interface actions for the edit commands.
initEditMenu | Public method to create the Edit menu
initEditToolbar | Public method to create the Edit toolbar
initFileActions | Private method defining the user interface actions for file handling.
initFileFilters | Private method to initialize the lists of supported filename filters.
initFileMenu | Public method to create the File menu.
initFileToolbar | Public method to create the File toolbar.
initMacroActions | Private method defining the user interface actions for the macro commands.
initMacroMenu | Public method to create the Macro menu
initSearchActions | Private method defining the user interface actions for the search commands.
initSearchToolbar | Public method to create the Search toolbar
initViewActions | Protected method defining the user interface actions for the view commands.
initViewMenu | Public method to create the View menu
initViewToolbar | Public method to create the View toolbar
initWindowActions | Define the user interface actions for window handling.
newEditor | Public slot to generate a new empty editor.
newEditorView | Public method to create a new editor displaying the given document.
performQuickSearch | Private slot to perform a quick search.
printCurrentEditor | Public slot to print the contents of the current editor.
printCurrentEditorSel | Public slot to print the selection of the current editor.
printEditor | Public slot to print an editor.
removeAllViews | Private method to remove all views (i.e. windows)
removeSplit | Public method used to remove the current split view.
removeView | Private method to remove a view (i.e. window)
saveAllEditors | Public slot to save the contents of all editors.
saveAsCurrentEditor | Public slot to save the contents of the current editor to a new file.
saveAsEditorEd | Public slot to save the contents of an editor to a new file.
saveCurrentEditor | Public slot to save the contents of the current editor.
saveCurrentEditorToProject | Public slot to save the contents of the current editor to the current project.
saveEditor | Public method to save a named editor file.
saveEditorEd | Public slot to save the contents of an editor.
saveEditorToProjectEd | Public slot to save the contents of an editor the current project.
saveEditorsList | Public slot to save a list of editors.
setEditorName | Change the displayed name of the editor.
setFileLine | Public method to update the user interface when the current program or line changes.
setSbFile | Private method to set the file info in the status bar.
setSbInfo | Public method to transfer statusbar info from the user interface to viewmanager.
setSplitOrientation | Public method used to set the orientation of the split view.
showView | Private method to show a view (i.e. window)
textForFind | Private method to determine the selection or the current word for the next find operation.
tile | Public method to tile the managed windows.
toggleWindow | Private method to toggle a workspace window.
unhighlight | Public method to switch off all highlights.

### ViewManager (Constructor)

ViewManager(ui, dbs)

Constructor

ui
  reference to the main user interface
dbs
  reference to the debug server object

### ViewManager._getOpenFileFilter

_getOpenFileFilter()

Protected method to return the active filename filter for a file open dialog. The appropriate filename filter is determined by file extension of the currently active editor.

Returns:
  name of the filename filter (QString) or None

### ViewManager._getOpenStartDir

_getOpenStartDir()

Protected method to return the starting directory for a file open dialog. The appropriate starting directory is calculated using the following search order, until a match is found:
1: Directory of currently active editor
2: Directory of currently active Project
3: CWD

Returns:
  String name of directory to start or None

### ViewManager.activeWindow

activeWindow()

Private method to return the active (i.e. current) window.

Returns:
  reference to the active editor

Raises RuntimeError:
  Not implemented

### ViewManager.addSplit

addSplit()

Public method used to split the current view.

### ViewManager.addToRecentList

addToRecentList(fn)

Public slot to add a filename to the list of recently opened files.

fn
  name of the file to be added

### ViewManager.addView

addView(win, fn=None)

Private method to add a view (i.e. window)

win
  editor window to be added
fn
  filename of this editor

Raises RuntimeError:
  Not implemented

### ViewManager.canCascade

canCascade()

Public method to signal if cascading of managed windows is available.

Returns:
  flag indicating cascading of windows is available

Raises RuntimeError:
  Not implemented

### ViewManager.canSplit

canSplit()

public method to signal if splitting of the view is available.

Returns:
  flag indicating splitting of the view is available.

### ViewManager.canTile

canTile()

Public method to signal if tiling of managed windows is available.

Returns:
  flag indicating tiling of windows is available

Raises RuntimeError:
  Not implemented

### ViewManager.cascade

cascade()

Public method to cascade the managed windows.

Raises RuntimeError:
  Not implemented

### ViewManager.checkActions

checkActions(editor, setSb=1)

Private slot to check some actions for their enable/disable status and set the statusbar info.

editor
  editor window
setSb
  flag indicating an update of the status bar is wanted (boolean)

### ViewManager.checkAllDirty

checkAllDirty()

Public method to check the dirty status of all editors.

Returns:
  flag indicating successful reset of all dirty flags (boolean)

### ViewManager.checkDirty

checkDirty(editor)

Private method to check dirty status and open a message window.

editor
  editor window to check

Returns:
  flag indicating successful reset of the dirty flag (boolean)

### ViewManager.closeEditor

closeEditor(editor)

Private method to close an editor window.

editor
  editor window to be closed

Returns:
  flag indicating success (boolean)

### ViewManager.closeViewManager

closeViewManager()

Public method to shutdown the viewmanager. If it cannot close all editor windows, it aborts the shutdown process.

Returns:
  flag indicating success (boolean)

### ViewManager.displayPythonFile

displayPythonFile(fn, lineno=None, selection=None)

Public slot to display a file in an editor.

fn
  name of file to be opened
lineno
  line number to place the cursor at
selection
  tuple (start, end) of an area to be selected

### ViewManager.editorCommand

editorCommand(cmd)

Private method to send an editor command to the active window.

cmd
  the scintilla command to be sent

### ViewManager.editorsCheckFocusInEnabled

editorsCheckFocusInEnabled()

Public method returning the flag indicating editors should perform focus in checks.

Returns:
  flag indicating focus in checks should be performed (boolean)

### ViewManager.enableEditorsCheckFocusIn

enableEditorsCheckFocusIn(enabled)

Public method to set a flag enabling the editors to perform focus in checks.

enabled
  flag indicating focus in checks should be performed (boolean)

### ViewManager.eventFilter

eventFilter(object, event)

Private method called to filter an event.

object
  object, that generated the event (QObject)
event
  the event, that was generated by object (QEvent)

Returns:
  flag indicating if event was filtered out

### ViewManager.focusInEvent

focusInEvent(event)

Public method called when the viewmanager receives focus.

event
  the event object (QFocusEvent)

### ViewManager.focusOutEvent

focusOutEvent(event)

Public method called when the viewmanager loses focus.

event
  the event object (QFocusEvent)

### ViewManager.getAPIs

getAPIs(language)

Public method to get an apis object for autocompletion/calltips This method creates and loads the QextScintillaAPIs object dynamically upon request. This saves memory for languages, that might not be needed at the moment.

language
  the language of the requested api object (string or QString)

Returns:
  the apis object (QextScintillaAPIs)

### ViewManager.getActions

getActions(type)

Public method to get a list of all actions.

type
  string denoting the action set to get. It must be one of "edit", "file", "search", "view" or "window"

Returns:
  list of all actions (list of E3Action)

### ViewManager.getActiveName

getActiveName()

Public method to retrieve the filename of the active window.

Returns:
  filename of active window (string)

### ViewManager.getEditor

getEditor(fn, isPythonFile=0)

Private method to return the editor displaying the given file. If there is no editor with the given file, a new editor window is created.

fn
  filename to look for
isPythonFile
  flag indicating that this is a Python file even if it doesn't have the .py extension (boolean)

Returns:
  tuple of two values giving a flag indicating a new window creation and a reference to the editor displaying this file

### ViewManager.getOpenEditor

getOpenEditor(fn)

Public method to return the editor displaying the given file.

fn
  filename to look for

Returns:
  a reference to the editor displaying this file or None, if no editor was found

### ViewManager.getOpenEditorCount

getOpenEditorCount(fn)

Public method to return the count of editors displaying the given file.

fn
  filename to look for

Returns:
  count of editors displaying this file (integer)

### ViewManager.getOpenFilenames

getOpenFilenames()

Public method returning a list of the filenames of all editors.

Returns:
  list of all opened filenames (list of strings)

### ViewManager.getProject

getProject()

Public method to get a reference to the Project object.

Returns:
  Reference to the Project object (Project.Project)

### ViewManager.getSRHistory

getSRHistory(key)

Private method to get the search or replace history list.

key
  list to return (must be 'search' or 'replace')

Returns:
  the requested history list (QStringList)

### ViewManager.getWord

getWord(text, index)

Private method to get the word at a position.

text
  text to look at (string or QString)
index
  position to look at (int)

Returns:
  the word at that position

### ViewManager.handleAddBookmarked

handleAddBookmarked()

Private method to add the current file to the list of bookmarked files.

### ViewManager.handleAutosave

handleAutosave()

Public slot to save the contents of all editors automatically. Only named editors will be saved by the autosave timer.

### ViewManager.handleBookmarkSelected

handleBookmarkSelected(id)

Private method to handle the bookmark selected signal.

id
  index of the selected menu entry This acts as an index into the list of bookmarks that was created, when the bookmarks menu was built.

### ViewManager.handleBookmarkToggled

handleBookmarkToggled(editor)

Private slot to handle the bookmarkToggled signal. It checks some bookmark actions and reemits the signal.

editor
  editor that sent the signal

### ViewManager.handleBreakpointEnabledToggled

handleBreakpointEnabledToggled(editor)

Private slot to handle the breakpointEnabledToggled signal. It simply reemits the signal.

editor
  editor that sent the signal

### ViewManager.handleBreakpointToggled

handleBreakpointToggled(editor)

Private slot to handle the breakpointToggled signal. It simply reemits the signal.

editor
  editor that sent the signal

### ViewManager.handleClearAllBookmarks

handleClearAllBookmarks()

Private method to handle the clear all bookmarks action.

### ViewManager.handleClearAllSyntaxErrors

handleClearAllSyntaxErrors()

Private method to handle the clear all syntax errors action.

### ViewManager.handleClearBookmarked

handleClearBookmarked()

Private method to clear the bookmarked files menu.

### ViewManager.handleClearRecent

handleClearRecent()

Private method to clear the recent files menu.

### ViewManager.handleClose

handleClose()

Public method to close the current window.

Returns:
  flag indicating success (boolean)

### ViewManager.handleCloseAll

handleCloseAll()

Private method to close all editor windows via file menu.

### ViewManager.handleCloseEditor

handleCloseEditor(editor)

Public method to close an arbitrary source editor.

editor
  editor to be closed

### ViewManager.handleCloseWindow

handleCloseWindow(fn)

Public method to close an arbitrary source editor.

fn
  filename of editor to be closed

Returns:
  flag indicating success (boolean)

### ViewManager.handleConvertEOL

handleConvertEOL()

Private method to handle the convert line end characters action.

### ViewManager.handleCoverageMarkersShown

handleCoverageMarkersShown(shown)

Private slot to handle the coverageMarkersShown signal.

shown
  flag indicating whether the markers were shown or cleared

### ViewManager.handleCursorChanged

handleCursorChanged(fn, line, pos)

Private slot to handle the cursorChanged signal. It emits the signal cursorChanged with parameter editor.

fn
  filename (string)
line
  line number of the cursor (int)
pos
  position in line of the cursor (int)

### ViewManager.handleEditAutoComplete

handleEditAutoComplete()

Private method to handle the autocomplete action.

### ViewManager.handleEditAutoCompleteFromAPIs

handleEditAutoCompleteFromAPIs()

Private method to handle the autocomplete from APIs action.

### ViewManager.handleEditAutoCompleteFromDoc

handleEditAutoCompleteFromDoc()

Private method to handle the autocomplete from document action.

### ViewManager.handleEditBookmarked

handleEditBookmarked()

Private method to edit the list of bookmarked files.

### ViewManager.handleEditBoxComment

handleEditBoxComment()

Private method to handle the box comment action.

### ViewManager.handleEditComment

handleEditComment()

Private method to handle the comment action.

### ViewManager.handleEditCopy

handleEditCopy()

Private method to handle the copy action.

### ViewManager.handleEditCut

handleEditCut()

Private method to handle the cut action.

### ViewManager.handleEditDelete

handleEditDelete()

Private method to handle the delete action.

### ViewManager.handleEditDeselectAll

handleEditDeselectAll()

Private method to handle the select all action.

### ViewManager.handleEditIndent

handleEditIndent()

Private method to handle the indent action.

### ViewManager.handleEditPaste

handleEditPaste()

Private method to handle the paste action.

### ViewManager.handleEditRedo

handleEditRedo()

Private method to handle the redo action.

### ViewManager.handleEditRevert

handleEditRevert()

Private method to handle the revert action.

### ViewManager.handleEditSelectAll

handleEditSelectAll()

Private method to handle the select all action.

### ViewManager.handleEditSelectBrace

handleEditSelectBrace()

Private method to handle the select to brace action.

### ViewManager.handleEditStreamComment

handleEditStreamComment()

Private method to handle the stream comment action.

### ViewManager.handleEditUncomment

handleEditUncomment()

Private method to handle the uncomment action.

### ViewManager.handleEditUndo

handleEditUndo()

Private method to handle the undo action.

### ViewManager.handleEditUnindent

handleEditUnindent()

Private method to handle the unindent action.

### ViewManager.handleEditorOpened

handleEditorOpened()

Private slot to handle the editorOpened signal.

### ViewManager.handleEditorSaved

handleEditorSaved(fn)

Public slot to handle the editorSaved signal. It simply reemits the signal.

fn
  filename of the saved editor

### ViewManager.handleEditoracAPIsAvailable

handleEditoracAPIsAvailable(available)

Private method to handle the availability of API autocompletion signal.

### ViewManager.handleExit

handleExit()

Public method to handle the debugged program terminating.

### ViewManager.handleFindFileName

handleFindFileName()

Private method to handle the search for file action.

### ViewManager.handleGoto

handleGoto()

Private method to handle the goto action.

### ViewManager.handleGotoBrace

handleGotoBrace()

Private method to handle the goto brace action.

### ViewManager.handleGotoSyntaxError

handleGotoSyntaxError()

Private method to handle the goto syntax error action.

### ViewManager.handleLastEditorClosed

handleLastEditorClosed()

Private slot to handle the lastEditorClosed signal.

### ViewManager.handleMacroDelete

handleMacroDelete()

Private method to handle the delete macro action.

### ViewManager.handleMacroLoad

handleMacroLoad()

Private method to handle the load macro action.

### ViewManager.handleMacroRun

handleMacroRun()

Private method to handle the run macro action.

### ViewManager.handleMacroSave

handleMacroSave()

Private method to handle the save macro action.

### ViewManager.handleMacroStartRecording

handleMacroStartRecording()

Private method to handle the start macro recording action.

### ViewManager.handleMacroStopRecording

handleMacroStopRecording()

Private method to handle the stop macro recording action.

### ViewManager.handleModificationStatusChanged

handleModificationStatusChanged(m, editor)

Private slot to handle the modificationStatusChanged signal.

m
  flag indicating the modification status (boolean)
editor
  editor window changed

Raises RuntimeError:
  Not implemented

### ViewManager.handleNewProject

handleNewProject()

Public slot to handle the NewProject signal.

### ViewManager.handleNextBookmark

handleNextBookmark()

Private method to handle the next bookmark action.

### ViewManager.handleNextUncovered

handleNextUncovered()

Private method to handle the next uncovered action.

### ViewManager.handleOpen

handleOpen(prog=None)

Public slot to open a Python (or other) file.

prog
  name of file to be opened (string or QString)

### ViewManager.handleOpenBookmarked

handleOpenBookmarked(idx)

Private method to open a file from the list of bookmarked files.

idx
  index of the selected entry (int)

### ViewManager.handleOpenRecent

handleOpenRecent(idx)

Private method to open a file from the list of rencently opened files.

idx
  index of the selected entry (int)

### ViewManager.handlePreferencesChanged

handlePreferencesChanged()

Public slot to handle the preferencesChanged signal. This method performs the following actions

- reread the colours for the syntax highlighting
- reloads the already created API objetcs
- starts or stops the autosave timer
- Note: changes in viewmanager type are activated on an application restart.

### ViewManager.handlePreviousBookmark

handlePreviousBookmark()

Private method to handle the previous bookmark action.

### ViewManager.handlePreviousUncovered

handlePreviousUncovered()

Private method to handle the previous uncovered action.

### ViewManager.handleProjectClosed

handleProjectClosed()

Public slot to handle the projectClosed signal.

### ViewManager.handleProjectFileRenamed

handleProjectFileRenamed(oldfn, newfn)

Public slot to handle the projectFileRenamed signal.

oldfn
  old filename of the file (string)
newfn
  new filename of the file (string)

### ViewManager.handleProjectOpened

handleProjectOpened()

Public slot to handle the projectOpened signal.

### ViewManager.handlePythonFile

handlePythonFile(pyfn, lineno=None, selection=None)

Public method to handle the user selecting a file for display.

pyfn
  name of file to be opened
lineno
  line number to place the cursor at
selection
  tuple (start, end) of an area to be selected

### ViewManager.handleQuickSearch

handleQuickSearch()

Private slot to handle the incremental quick search.

### ViewManager.handleQuickSearchEnter

handleQuickSearchEnter()

Private slot to handle the incremental quick search return pressed (jump back to text)

### ViewManager.handleQuickSearchExtend

handleQuickSearchExtend()

Private method to handle the quicksearch extend action.

### ViewManager.handleQuickSearchPrev

handleQuickSearchPrev()

Private slot to handle the quickFindPrev toolbutton action.

### ViewManager.handleQuickSearchText

handleQuickSearchText()

Private slot to handle the textChanged signal of the quicksearch edit.

### ViewManager.handleReloadAPIs

handleReloadAPIs()

Public slot to reload the api information.

### ViewManager.handleReplace

handleReplace()

Private method to handle the replace action.

### ViewManager.handleResetUI

handleResetUI()

Public slot to handle the resetUI signal.

### ViewManager.handleSearch

handleSearch()

Private method to handle the search action.

### ViewManager.handleSearchFiles

handleSearchFiles()

Private method to handle the search in files action.

### ViewManager.handleSearchListChanged

handleSearchListChanged()

Private slot to handle the searchListChanged signal.

### ViewManager.handleShortenEmptyLines

handleShortenEmptyLines()

Private method to handle the shorten empty lines action.

### ViewManager.handleShowBookmarkedMenu

handleShowBookmarkedMenu()

Private method to set up bookmarked files menu.

### ViewManager.handleShowBookmarksMenu

handleShowBookmarksMenu()

Private method to handle the show bookmarks menu signal.

### ViewManager.handleShowRecentMenu

handleShowRecentMenu()

Private method to set up recent files menu.

### ViewManager.handleShowWindowMenu

handleShowWindowMenu(windowMenu)

Private method to set up the viewmanager part of the Window menu.

windowMenu
  reference to the window menu

Raises RuntimeError:
  Not implemented

### ViewManager.handleSplitOrientation

handleSplitOrientation()

Private method to handle the split orientation action.

### ViewManager.handleSplitView

handleSplitView()

Private method to handle the split view action.

### ViewManager.handleSyntaxErrorToggled

handleSyntaxErrorToggled(editor)

Private slot to handle the syntaxerrorToggled signal. It checks some syntax error actions and reemits the signal.

editor
  editor that sent the signal

### ViewManager.handleToggleAll

handleToggleAll()

Private method to handle the toggle all folds action.

### ViewManager.handleToggleBookmark

handleToggleBookmark()

Private method to handle the toggle bookmark action.

### ViewManager.handleToggleCurrent

handleToggleCurrent()

Private method to handle the toggle current fold action.

### ViewManager.handleZoom

handleZoom()

Private method to handle the zoom action.

### ViewManager.handleZoomIn

handleZoomIn()

Private method to handle the zoom in action.

### ViewManager.handleZoomOut

handleZoomOut()

Private method to handle the zoom out action.

### ViewManager.initActions

initActions()

Public method defining the user interface actions.

### ViewManager.initBookmarkActions

initBookmarkActions()

Private method defining the user interface actions for the bookmarks commands.

### ViewManager.initBookmarkMenu

initBookmarkMenu()

Public method to create the Bookmark menu

Returns:
  the generated menu

### ViewManager.initBookmarkToolbar

initBookmarkToolbar()

Public method to create the Bookmark toolbar

Returns:
  the generated toolbar

### ViewManager.initEditActions

initEditActions()

Private method defining the user interface actions for the edit commands.

### ViewManager.initEditMenu

initEditMenu()

Public method to create the Edit menu

Returns:
  the generated menu

### ViewManager.initEditToolbar

initEditToolbar()

Public method to create the Edit toolbar

Returns:
  the generated toolbar

### ViewManager.initFileActions

initFileActions()

Private method defining the user interface actions for file handling.

### ViewManager.initFileFilters

initFileFilters()

Private method to initialize the lists of supported filename filters.

### ViewManager.initFileMenu

initFileMenu()

Public method to create the File menu.

Returns:
  the generated menu

### ViewManager.initFileToolbar

initFileToolbar()

Public method to create the File toolbar.

Returns:
  the generated toolbar

### ViewManager.initMacroActions

initMacroActions()

Private method defining the user interface actions for the macro commands.

### ViewManager.initMacroMenu

initMacroMenu()

Public method to create the Macro menu

Returns:
  the generated menu

### ViewManager.initSearchActions

initSearchActions()

Private method defining the user interface actions for the search commands.

### ViewManager.initSearchToolbar

initSearchToolbar()

Public method to create the Search toolbar

Returns:
  the generated toolbar

### ViewManager.initViewActions

initViewActions()

Protected method defining the user interface actions for the view commands.

### ViewManager.initViewMenu

initViewMenu()

Public method to create the View menu

Returns:
  the generated menu

### ViewManager.initViewToolbar

initViewToolbar()

Public method to create the View toolbar

Returns:
  the generated toolbar

### ViewManager.initWindowActions

initWindowActions()

Define the user interface actions for window handling.

Raises RuntimeError:
  Not implemented

### ViewManager.newEditor

newEditor()

Public slot to generate a new empty editor.

### ViewManager.newEditorView

newEditorView(fn, caller, isPythonFile=0)

Public method to create a new editor displaying the given document.

fn
  filename of this view
caller
  reference to the editor calling this method
isPythonFile
  flag indicating that this is a Python file even if it doesn't have the .py extension (boolean)

### ViewManager.performQuickSearch

performQuickSearch(again, back)

Private slot to perform a quick search.

again
  flag indicating a repeat of the last search (boolean)
back
  flag indicating a backwards search operation (boolean)

Author(s): Maciek Fijalkowski, 2005-07-23

### ViewManager.printCurrentEditor

printCurrentEditor()

Public slot to print the contents of the current editor.

### ViewManager.printCurrentEditorSel

printCurrentEditorSel()

Public slot to print the selection of the current editor.

### ViewManager.printEditor

printEditor(editor)

Public slot to print an editor.

editor
  editor to be printed

### ViewManager.removeAllViews

removeAllViews()

Private method to remove all views (i.e. windows)

Raises RuntimeError:
  Not implemented

### ViewManager.removeSplit

removeSplit()

Public method used to remove the current split view.

Returns:
  Flag indicating successful deletion

### ViewManager.removeView

removeView(win)

Private method to remove a view (i.e. window)

win
  editor window to be removed

Raises RuntimeError:
  Not implemented

### ViewManager.saveAllEditors

saveAllEditors()

Public slot to save the contents of all editors.

### ViewManager.saveAsCurrentEditor

saveAsCurrentEditor()

Public slot to save the contents of the current editor to a new file.

### ViewManager.saveAsEditorEd

saveAsEditorEd(ed)

Public slot to save the contents of an editor to a new file.

ed
  editor to be saved

### ViewManager.saveCurrentEditor

saveCurrentEditor()

Public slot to save the contents of the current editor.

### ViewManager.saveCurrentEditorToProject

saveCurrentEditorToProject()

Public slot to save the contents of the current editor to the current project.

### ViewManager.saveEditor

saveEditor(fn)

Public method to save a named editor file.

fn
  filename of editor to be saved (string)

Returns:
  flag indicating success (boolean)

### ViewManager.saveEditorEd

saveEditorEd(ed)

Public slot to save the contents of an editor.

ed
  editor to be saved

### ViewManager.saveEditorToProjectEd

saveEditorToProjectEd(ed)

Public slot to save the contents of an editor the current project.

ed
  editor to be saved

### ViewManager.saveEditorsList

saveEditorsList(editors)

Public slot to save a list of editors.

editors
  list of editors to be saved

### ViewManager.setEditorName

setEditorName(editor, newName)

Change the displayed name of the editor.

editor
  editor window to be changed
newName
  new name to be shown (string or QString)

Raises RuntimeError:
  Not implemented

### ViewManager.setFileLine

setFileLine(fn, line, error=0, syntaxError=0)

Public method to update the user interface when the current program or line changes.

fn
  filename of editor to update (string)
line
  line number to highlight (int)
error
  flag indicating an error highlight (boolean)
syntaxError
  flag indicating a syntax error

### ViewManager.setSbFile

setSbFile(fn=None, line=None, pos=None)

Private method to set the file info in the status bar.

fn
  filename to display (string)
line
  line number to display (int)
pos
  character position to display (int)

### ViewManager.setSbInfo

setSbInfo(sbFile, sbLine, sbPos, sbWritable)

Public method to transfer statusbar info from the user interface to viewmanager.

sbFile
  reference to the file part of the statusbar
sbLine
  reference to the line number part of the statusbar
sbPos
  reference to the character position part of the statusbar
sbWritable
  reference to the writability indicator part of the statusbar

### ViewManager.setSplitOrientation

setSplitOrientation(orientation)

Public method used to set the orientation of the split view.

orientation
  orientation of the split (QSplitter.Horizontal or QSplitter.Vertical)

### ViewManager.showView

showView(win, fn=None)

Private method to show a view (i.e. window)

win
  editor window to be shown
fn
  filename of this editor

Raises RuntimeError:
  Not implemented

### ViewManager.textForFind

textForFind(getCurrentWord=1)

Private method to determine the selection or the current word for the next find operation.

getCurrentWord
  flag indicating to return the current word, if no selected text was found (boolean)

Returns:
  selection or current word (QString)

### ViewManager.tile

tile()

Public method to tile the managed windows.

Raises RuntimeError:
  Not implemented

### ViewManager.toggleWindow

toggleWindow(w)

Private method to toggle a workspace window.

w
  editor window to be toggled

### ViewManager.unhighlight

unhighlight(current=0)

Public method to switch off all highlights.

current
  flag indicating only the current editor should be unhighlighted (boolean)

Up